@echo off

:CheckG945MK
DMITOOL /C:G945MK.INI
if errorlevel 1 goto CheckM945G
WINFLASH.EXE R01-C2.B2K /PY /LD /SKIP /DRV /R
goto end

:CheckM945G
DMITOOL /C:M945G.INI
if errorlevel 1 goto UnknownBIOS
WINFLASH.EXE W7284IAE.10B /PY /LD /SKIP /DRV /R
goto end

:UnknownBIOS
echo It is UnknownBIOS
set /p _answer=Type "Y" to END:
